from setuptools import setup, find_packages
import codecs
import os

VERSION = '0.2.2'
DESCRIPTION = 'Easy to use graphic library for game and application development built arround pygame'
LONG_DESCRIPTION = open("README.md").read()

# Setting up
setup(
    name="pgpp",
    version=VERSION,
    author="RedRyan",
    author_email="drizzoabou@gmail.com",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=LONG_DESCRIPTION,
    packages=find_packages(),
    install_requires=['pygame', 'pyautogui'],
    keywords=['python', 'game', 'app', 'game engine', 'application', 'pgpp'],
    classifiers=[
        "Development Status :: 4 - Beta",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)